version: '3'
volumes:
    pgdata:
        driver: local
        driver_opts:
            type: none
            device: '/var/www/pgdata'
            o: bind
    uploads:
        driver: local
        driver_opts:
            type: none
            device: '/var/www/uploads'
            o: bind
services:
    postgres:
        deploy:
            replicas: 1
    imaginary:
        deploy:
            replicas: 1
    link-resolver:
        deploy:
            replicas: 1
